com.genesyslab.wfm8.API.service.RTA850

## Class AgentAdherence

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA850.AgentAdherence

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentAdherence
      extends java.lang.Object
      implements java.io.Serializable

  Contains Adherence Statistics for one agents.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `agentID` The agent ID.
    `protected ChannelStateWithAdherence` | `aggregateAdherence` Aggregate agent adherence.
    `protected java.util.List<ChannelStateWithAdherence>` | `channelAdherence` Adherence structures for each channel.
    `protected int` | `channelAdherenceSize` The number of channel adherence structures.
    `protected java.lang.String` | `firstName` The agent first Name.
    `protected java.lang.String` | `lastName` The agent last Name.
    `protected java.util.List<java.lang.Integer>` | `scheduledStateGroupIDs` Scheduled state groups according to scheduled states.
    `protected int` | `scheduledStateGroupIDsSize` The number of elements in the scheduled groups array.
    `protected java.util.List<ShortScheduleState>` | `scheduledStates` The scheduled states.
    `protected int` | `scheduledStatesSize` The number of elements in the scheduled states array.
    `private static long` | `serialVersionUID`
    `protected double` | `shiftEnd` The shift End time.
    `protected double` | `shiftStart` The shift Start time.
    `protected int` | `siteID` The site ID.
    `protected int` | `teamID` The team ID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentAdherence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getAgentID()` Gets the value of the agentID property.
    `ChannelStateWithAdherence` | `getAggregateAdherence()` Sets the value of the aggregateAdherence property.
    `java.util.List<ChannelStateWithAdherence>` | `getChannelAdherence()` Gets the value of the channelAdherence property.
    `int` | `getChannelAdherenceSize()` Gets the value of the channelAdherenceSize property.
    `java.lang.String` | `getFirstName()` Gets the value of the firstName property.
    `java.lang.String` | `getLastName()` Gets the value of the lastName property.
    `java.util.List<java.lang.Integer>` | `getScheduledStateGroupIDs()` Gets the value of the scheduledStateGroupIDs property.
    `int` | `getScheduledStateGroupIDsSize()` Gets the value of the scheduledStateGroupIDsSize property.
    `java.util.List<ShortScheduleState>` | `getScheduledStates()` Gets the value of the scheduledStates property.
    `int` | `getScheduledStatesSize()` Gets the value of the scheduledStatesSize property.
    `double` | `getShiftEnd()` Gets the value of the shiftEnd property.
    `double` | `getShiftStart()` Gets the value of the shiftStart property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `int` | `getTeamID()` Gets the value of the teamID property.
    `int` | `hashCode()`
    `void` | `setAgentID(int value)` Sets the value of the agentID property.
    `void` | `setAggregateAdherence(ChannelStateWithAdherence value)` Sets the value of the aggregateAdherence property.
    `void` | `setChannelAdherence(java.util.List<ChannelStateWithAdherence> channelAdherence)` Sets the value of the channelAdherence property.
    `void` | `setChannelAdherenceSize(int value)` Sets the value of the channelAdherenceSize property.
    `void` | `setFirstName(java.lang.String value)` Sets the value of the firstName property.
    `void` | `setLastName(java.lang.String value)` Sets the value of the lastName property.
    `void` | `setScheduledStateGroupIDs(java.util.List<java.lang.Integer> scheduledStateGroupIDs)` Sets the value of the scheduledStateGroupIDs property.
    `void` | `setScheduledStateGroupIDsSize(int value)` Sets the value of the scheduledStateGroupIDsSize property.
    `void` | `setScheduledStates(java.util.List<ShortScheduleState> scheduledStates)` Sets the value of the scheduledStates property.
    `void` | `setScheduledStatesSize(int value)` Sets the value of the scheduledStatesSize property.
    `void` | `setShiftEnd(double value)` Sets the value of the shiftEnd property.
    `void` | `setShiftStart(double value)` Sets the value of the shiftStart property.
    `void` | `setSiteID(int value)` Sets the value of the siteID property.
    `void` | `setTeamID(int value)` Sets the value of the teamID property.
    `java.lang.String` | `toString()`
    `AgentAdherence` | `withAgentID(int value)`
    `AgentAdherence` | `withAggregateAdherence(ChannelStateWithAdherence value)`
    `AgentAdherence` | `withChannelAdherence(ChannelStateWithAdherence... values)`
    `AgentAdherence` | `withChannelAdherence(java.util.Collection<ChannelStateWithAdherence> values)`
    `AgentAdherence` | `withChannelAdherenceSize(int value)`
    `AgentAdherence` | `withFirstName(java.lang.String value)`
    `AgentAdherence` | `withLastName(java.lang.String value)`
    `AgentAdherence` | `withScheduledStateGroupIDs(java.util.Collection<java.lang.Integer> values)`
    `AgentAdherence` | `withScheduledStateGroupIDs(java.lang.Integer... values)`
    `AgentAdherence` | `withScheduledStateGroupIDsSize(int value)`
    `AgentAdherence` | `withScheduledStates(java.util.Collection<ShortScheduleState> values)`
    `AgentAdherence` | `withScheduledStates(ShortScheduleState... values)`
    `AgentAdherence` | `withScheduledStatesSize(int value)`
    `AgentAdherence` | `withShiftEnd(double value)`
    `AgentAdherence` | `withShiftStart(double value)`
    `AgentAdherence` | `withSiteID(int value)`
    `AgentAdherence` | `withTeamID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### agentID

          protected int agentID

      The agent ID.

    - #### firstName

          protected java.lang.String firstName

      The agent first Name.

    - #### lastName

          protected java.lang.String lastName

      The agent last Name.

    - #### siteID

          protected int siteID

      The site ID.

    - #### teamID

          protected int teamID

      The team ID.

    - #### shiftStart

          protected double shiftStart

      The shift Start time.

    - #### shiftEnd

          protected double shiftEnd

      The shift End time.

    - #### scheduledStatesSize

          protected int scheduledStatesSize

      The number of elements in the scheduled states array.

    - #### scheduledStates

          protected java.util.List<ShortScheduleState> scheduledStates

      The scheduled states.

    - #### scheduledStateGroupIDsSize

          protected int scheduledStateGroupIDsSize

      The number of elements in the scheduled groups array.

    - #### scheduledStateGroupIDs

          protected java.util.List<java.lang.Integer> scheduledStateGroupIDs

      Scheduled state groups according to scheduled states.

    - #### aggregateAdherence

          protected ChannelStateWithAdherence aggregateAdherence

      Aggregate agent adherence. Determined from adherence states of all channels

    - #### channelAdherenceSize

          protected int channelAdherenceSize

      The number of channel adherence structures.

    - #### channelAdherence

          protected java.util.List<ChannelStateWithAdherence> channelAdherence

      Adherence structures for each channel.

  - ### Constructor Detail

    - #### AgentAdherence

          public AgentAdherence()

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the value of the agentID property.

    - #### setAgentID

          public void setAgentID(int value)

      Sets the value of the agentID property.

    - #### getFirstName

          public java.lang.String getFirstName()

      Gets the value of the firstName property.
      Returns:
        possible object is `String`

    - #### setFirstName

          public void setFirstName(java.lang.String value)

      Sets the value of the firstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLastName

          public java.lang.String getLastName()

      Gets the value of the lastName property.
      Returns:
        possible object is `String`

    - #### setLastName

          public void setLastName(java.lang.String value)

      Sets the value of the lastName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int value)

      Sets the value of the siteID property.

    - #### getTeamID

          public int getTeamID()

      Gets the value of the teamID property.

    - #### setTeamID

          public void setTeamID(int value)

      Sets the value of the teamID property.

    - #### getShiftStart

          public double getShiftStart()

      Gets the value of the shiftStart property.

    - #### setShiftStart

          public void setShiftStart(double value)

      Sets the value of the shiftStart property.

    - #### getShiftEnd

          public double getShiftEnd()

      Gets the value of the shiftEnd property.

    - #### setShiftEnd

          public void setShiftEnd(double value)

      Sets the value of the shiftEnd property.

    - #### getAggregateAdherence

          public ChannelStateWithAdherence getAggregateAdherence()

      Sets the value of the aggregateAdherence property.

    - #### setAggregateAdherence

          public void setAggregateAdherence(ChannelStateWithAdherence value)

      Sets the value of the aggregateAdherence property.

    - #### getScheduledStatesSize

          public int getScheduledStatesSize()

      Gets the value of the scheduledStatesSize property.

    - #### setScheduledStatesSize

          public void setScheduledStatesSize(int value)

      Sets the value of the scheduledStatesSize property.

    - #### getScheduledStates

          public java.util.List<ShortScheduleState> getScheduledStates()

      Gets the value of the scheduledStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scheduledStates property.

      For example, to add a new item, do as follows:

              getScheduledStates().add(newItem);

      Objects of the following type(s) are allowed in the list `ShortScheduleState`

    - #### getScheduledStateGroupIDsSize

          public int getScheduledStateGroupIDsSize()

      Gets the value of the scheduledStateGroupIDsSize property.

    - #### setScheduledStateGroupIDsSize

          public void setScheduledStateGroupIDsSize(int value)

      Sets the value of the scheduledStateGroupIDsSize property.

    - #### getScheduledStateGroupIDs

          public java.util.List<java.lang.Integer> getScheduledStateGroupIDs()

      Gets the value of the scheduledStateGroupIDs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scheduledStateGroupIDs property.

      For example, to add a new item, do as follows:

              getScheduledStateGroupIDs().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### setScheduledStateGroupIDs

          public void setScheduledStateGroupIDs(java.util.List<java.lang.Integer> scheduledStateGroupIDs)

      Sets the value of the scheduledStateGroupIDs property.
      Parameters:
        `scheduledStateGroupIDs` - allowed object is `Integer`

    - #### getChannelAdherenceSize

          public int getChannelAdherenceSize()

      Gets the value of the channelAdherenceSize property.

    - #### setChannelAdherenceSize

          public void setChannelAdherenceSize(int value)

      Sets the value of the channelAdherenceSize property.

    - #### getChannelAdherence

          public java.util.List<ChannelStateWithAdherence> getChannelAdherence()

      Gets the value of the channelAdherence property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the channelAdherence property.

      For example, to add a new item, do as follows:

              getChannelAdherence().add(newItem);

      Objects of the following type(s) are allowed in the list `ChannelStateWithAdherence`

    - #### setChannelAdherence

          public void setChannelAdherence(java.util.List<ChannelStateWithAdherence> channelAdherence)

      Sets the value of the channelAdherence property.
      Parameters:
        `channelAdherence` - allowed object is `ChannelStateWithAdherence`

    - #### withAgentID

          public AgentAdherence withAgentID(int value)

    - #### withFirstName

          public AgentAdherence withFirstName(java.lang.String value)

    - #### withLastName

          public AgentAdherence withLastName(java.lang.String value)

    - #### withSiteID

          public AgentAdherence withSiteID(int value)

    - #### withTeamID

          public AgentAdherence withTeamID(int value)

    - #### withShiftStart

          public AgentAdherence withShiftStart(double value)

    - #### withShiftEnd

          public AgentAdherence withShiftEnd(double value)

    - #### withAggregateAdherence

          public AgentAdherence withAggregateAdherence(ChannelStateWithAdherence value)

    - #### withScheduledStates

          public AgentAdherence withScheduledStates(ShortScheduleState... values)

    - #### withScheduledStates

          public AgentAdherence withScheduledStates(java.util.Collection<ShortScheduleState> values)

    - #### withScheduledStatesSize

          public AgentAdherence withScheduledStatesSize(int value)

    - #### withChannelAdherence

          public AgentAdherence withChannelAdherence(ChannelStateWithAdherence... values)

    - #### withChannelAdherence

          public AgentAdherence withChannelAdherence(java.util.Collection<ChannelStateWithAdherence> values)

    - #### withChannelAdherenceSize

          public AgentAdherence withChannelAdherenceSize(int value)

    - #### withScheduledStateGroupIDsSize

          public AgentAdherence withScheduledStateGroupIDsSize(int value)

    - #### withScheduledStateGroupIDs

          public AgentAdherence withScheduledStateGroupIDs(java.lang.Integer... values)

    - #### withScheduledStateGroupIDs

          public AgentAdherence withScheduledStateGroupIDs(java.util.Collection<java.lang.Integer> values)

    - #### setScheduledStates

          public void setScheduledStates(java.util.List<ShortScheduleState> scheduledStates)

      Sets the value of the scheduledStates property.
      Parameters:
        `scheduledStates` - allowed object is `ShortScheduleState`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.